package org.sky.core.log.wrapper;

import org.sky.core.log.model.LogApi;
import org.sky.core.log.pojo.vo.LogApiVO;
import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;

import java.util.Objects;

/**
 * Log包装类,返回视图层所需的字段
 *
 */
public class LogApiWrapper extends BaseEntityWrapper<LogApi, LogApiVO> {

	public static LogApiWrapper build() {
		return new LogApiWrapper();
	}

	@Override
	public LogApiVO entityVO(LogApi logApi) {
		return Objects.requireNonNull(BeanUtil.copyProperties(logApi, LogApiVO.class));
	}

}
